# Claunia.PropertyList.NSDate

plist-cil : Claunia.PropertyList Namespace

# NSDate Class

Represents a date

## Syntax

public class NSDate : NSObject

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSDate (byte[]) | Creates a date from its binary representation.
| NSDate (DateTime) | Creates a NSDate from a .NET DateTime

NSDate (string)

Parses a date from its textual representation. That representation has the following pattern:

Example

    yyyy-MM-dd'T'HH:mm:ss'Z'

## Public Properties

[read-only] | Date | DateTime . Gets the date.

## Public Methods

override

Equals (NSObject) : bool

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDate.

abstract

Equals (NSObject) : bool

> Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)

override

Equals (object) : bool

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSDate.

override

GetHashCode () : int

> Serves as a hash function for a Claunia.PropertyList.NSDate object.

ToObject () : object

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

> (Inherited from NSObject.)

override

ToString () : string

> Generates a string representation of the date.

ToXmlPropertyList () : string

> Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### NSDate Constructor

> Creates a date from its binary representation.

> ## Syntax

> public NSDate (byte[] bytes)

> #### Parameters

> > bytes
> >   bytes The date bytes

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSDate Constructor

> Creates a NSDate from a .NET DateTime

> ## Syntax

> public NSDate (DateTime d)

> #### Parameters

> > d
> >   The date

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSDate Constructor

> Parses a date from its textual representation. That representation has the following pattern:

> Example

>     yyyy-MM-dd'T'HH:mm:ss'Z'

> ## Syntax

> public NSDate (string textRepresentation)

> #### Parameters

> > textRepresentation
> >   The textual representation of the date (ISO 8601 format)

> #### Exceptions

> > Type | Reason
> > --- | ---
> > FormatException | When the date could not be parsed, i.e. it does not match the expected pattern.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Date Property

> Gets the date.

> ## Syntax

> public DateTime Date { get; }

> #### Value

> > The date.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDate.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSDate.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSDate; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSDate.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   The object to compare with the current Claunia.PropertyList.NSDate.

> #### Returns

> > `true` if the specified object is equal to the current Claunia.PropertyList.NSDate; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSDate object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToString Method

> Generates a string representation of the date.

> ## Syntax

> public override string ToString ()

> #### Returns

> > A string representation of the date.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0